List streams.
curl --request GET \
--url https://{basin}.b.s2.dev/v1/streams \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"streams": [
{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"cipher": "aegis-256",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}streams
List streams.
List streams in an S2 basin with prefix filtering and cursor-based pagination.
GET
/
streams
List streams.
curl --request GET \
--url https://{basin}.b.s2.dev/v1/streams \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"streams": [
{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"cipher": "aegis-256",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Model paging by specifying
start_after as the last stream name that was returned.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your access token.
Query Parameters
Filter to streams whose names begin with this prefix. It must not contain NUL bytes.
Filter to streams whose names lexicographically start after this string. It must not contain NUL bytes.
Number of results, up to a maximum of 1000.
Required range:
0 <= x <= 1000
